import { getAllPosts } from '@/lib/markdown'
import BlogPageClient from './blog-client'

export default async function BlogPage() {
  const posts = await getAllPosts()
  const allTags = Array.from(new Set(posts.flatMap(post => post.frontmatter.tags))).sort()

  return <BlogPageClient posts={posts} allTags={allTags} />
}
